---
layout: page
title: 12Dicts Package
---

12dicts is a collection of English word lists by Alan Beale. It
differs in several important ways from most of the other free word
lists you can download.

* The 12dicts lists are oriented towards common words. If you're
  looking for myriads of archaic, scientific or computer jargon words,
  you should look elsewhere.

* The 12dicts lists have been rigorously checked for errors. (This is
  not to say that they are error-free, merely that enough care has
  been taken that errors are rather infrequent.)

* 12dicts contains a variety of lists, of different sizes and
  characteristics. One size does not fit all. Because each list has
  different characteristics, I do not recommend combining them, except
  as noted below.

<a href="/12dicts-readme">Additional Info</a>

# Unofficial

The Unofficial Alternate 12 Dicts Package is the one used by SCOWL. It
is based on Version 4 of the 12Dicts package.  It contains almost all
the information in offical version but in a different format as well
as a good deal of additional information. However it is not meant as a
replacement for the official 12Dicts package. It simply offers the
information in a different way.

<a href="/alt12dicts-readme">readme</a>,
<a href="/alt12dicts-infl-readme">readme-infl</a>,
<a href="http://downloads.sourceforge.net/wordlist/alt12dicts-2014.08.11.tar.gz">tar.gz</a>,
<a href="http://downloads.sourceforge.net/wordlist/alt12dicts-2014.08.11.zip">zip</a>
(2014-08-11) 
[source](http://github.com/kevina/wordlist)        

# Official

Originally, 12dicts was composed of lists derived from a specific set
of 12 source dictionaries. In addition to these "classic" lists,
Version 5 of 12dicts now includes lists derived from other sources. It
would perhaps be appropriate to rename 12dicts to something more
generic, such as BAWL (Beale's Assorted Word Lists), but this has not been
done so in order to preserve continuity.

<a href="/12dicts-readme-r5">readme</a>, 
<a href="http://downloads.sourceforge.net/wordlist/12dicts-5.0.zip">12dicts-5.0.zip</a> (ver 5.0)

