---
layout: page
---

SCOWL (Spell Checker Oriented Word Lists) and Friends is a database of
information on English words useful for creating high-quality word
lists suitable for use in spell checkers of most dialects of English.
The database primary contains information on how common a word is,
differences in spelling between the dialects if English, spelling
variant information, and (basic) part-of-speech and inflection
information.

SCOWL itself is a compilation of the information in the database into
a set of simple word lists that can be combined to create speller
dictionaries of various sizes and dialects (American, British (both
-ise and -ize) and Canadian).

[View readme](/scowl-readme).
Download Version 2014.08.11 as: [tar.gz](http://downloads.sourceforge.net/wordlist/scowl-2014.08.11.1.tar.gz) (Unix EOL),
[zip](http://downloads.sourceforge.net/wordlist/scowl-2014.08.11.1.zip) (DOS/Windows EOL).
[Get source](http://github.com/kevina/wordlist).

[Premade dictionaries](dicts) are available for Hunspell, Aspell, and
as plain wordlists.  If none of those dictionaries are suitable for
your needs a simple [web app](http://app.aspell.net/create) is
available to create a customized wordlist.

[VarCon](varcon) (Variant Conversion) is the primary source of
spelling differences and variant information.  It can also be used to
convert between American, British and Canadian spellings.

Alan Beale [12Dicts](12dicts) is another main source of information in
SCOWL.  It contains a variety of lists, of different sizes and
characteristics that are used by SCOWL.

The [2of12id.txt](alt12dicts-infl-readme) file, in the alternative
version of 12Dicts, is the primary source of part-of-speech and
inflection information, however it is limited to common words.
[AGID](agid-readme) contains more words but also likely to contain
more errors.

The SCOWL collection contains many [others pieces of
information](other).  Most of these are in the forms of other word
lists.

